## com.thingmagic
Class Gen2.Impinj.Monza6.MarginRead

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.Impinj
                  com.thingmagic.Gen2.Impinj.Monza6
                      com.thingmagic.Gen2.Impinj.Monza6.MarginRead

Enclosing class:
  Gen2.Impinj.Monza6

    public static class Gen2.Impinj.Monza6.MarginRead

extends Gen2.Impinj.Monza6

Monza6 MarginRead

Nested Class Summary

Nested classes/interfaces inherited from class com.thingmagic.Gen2.Impinj.Monza6
`Gen2.Impinj.Monza6.MarginRead`

Nested classes/interfaces inherited from class com.thingmagic.Gen2.Impinj
`Gen2.Impinj.Monza4, Gen2.Impinj.Monza6`

Field Summary
`Gen2.Bank` `bank` Gen2 memory bank to read from
`int` `bitAddress` Bit address to start reading from
`byte[]` `mask` Mask data
`int` `maskBitLength` Number of mask bits

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.Impinj.Monza6.MarginRead(Gen2.Bank bank, int bitAddress, int maskBitLength, byte[] mask)` Constructor to initialize MarginRead

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bank

    public Gen2.Bank bank

  Gen2 memory bank to read from

### bitAddress

    public int bitAddress

  Bit address to start reading from

### maskBitLength

    public int maskBitLength

  Number of mask bits

### mask

    public byte[] mask

  Mask data

Constructor Detail

### Gen2.Impinj.Monza6.MarginRead

    public Gen2.Impinj.Monza6.MarginRead(Gen2.Bank bank,
                                         int bitAddress,
                                         int maskBitLength,
                                         byte[] mask)

  Constructor to initialize MarginRead

  Parameters:
    `bank` - - the gen2 memory bank to read from
    `bitAddress` - - the bit address to start reading from
    `maskBitLength` - - the number of mask bits
    `mask` - - the mask data